API referenceV1Export template attribute
Delete an export template attribute
Delete an export template attribute. Only if a field is non mandatory. Only internal users and admins can remove fields from global channels
Authorization
bearerAuth AuthorizationBearer <token>
ProductsUp Keycloak JWT bearer token.
In: header
Path Parameters
templateId*string
Export template id.
id*string
Export Template Attribute id.
Response Body
application/json
application/json
application/json
curl -X DELETE "https://export-template-api.productsup.com/V1/export-templates/string/attributes/string"Empty
{
"errors": {
"message": "Unable to remove mandatory field."
}
}{
"errors": {
"message": "Resource access denied."
}
}{
"errors": {
"message": "Export template with id 456 not found."
}
}How is this guide?
Retrieves a list of export template attributes by given filter criteria GET
Previous Page
Update an export template attribute PATCH
An export template attribute is a field that belongs to an export template. Once created, the export template attribute will be added to every channel that is created from the export template in the productsup platform. This endpoint allows the updating of an existing export template attribute.